<?php
/**
* J51_ImageHover
* Created by	: Joomla51
* Email			: info@joomla51.com
* URL			: www.joomla51.com
* Licensed under the GPL v2&
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Layout\FileLayout;
use Joomla\CMS\Plugin\PluginHelper;

JLoader::register('modj51ImageHover', __DIR__ . '/helper.php');

// Define variables
$imagehover_images    = $params->get('imagehover_images');
$j51_imghvr           = htmlspecialchars($params->get('j51_imghvr', 'imghvr-fade-in-up'), ENT_COMPAT, 'UTF-8');
$j51_image_width      = htmlspecialchars($params->get('j51_image_width', '25%'), ENT_COMPAT, 'UTF-8');
$j51_image_width_tabl = htmlspecialchars($params->get('j51_image_width_tabl', '33.333%'), ENT_COMPAT, 'UTF-8');
$j51_image_width_tabp = htmlspecialchars($params->get('j51_image_width_tabp', '33.333%'), ENT_COMPAT, 'UTF-8');
$j51_image_width_mobl = htmlspecialchars($params->get('j51_image_width_mobl', '50%'), ENT_COMPAT, 'UTF-8');
$j51_image_width_mobp = htmlspecialchars($params->get('j51_image_width_mobp', '100%'), ENT_COMPAT, 'UTF-8');
$j51_image_margin_x   = htmlspecialchars($params->get('j51_image_margin_x', '10'), ENT_COMPAT, 'UTF-8');
$j51_image_margin_y   = htmlspecialchars($params->get('j51_image_margin_y', '10'), ENT_COMPAT, 'UTF-8');
$j51_image_padding_x  = htmlspecialchars($params->get('j51_image_padding_x', '20'), ENT_COMPAT, 'UTF-8');
$j51_image_padding_y  = htmlspecialchars($params->get('j51_image_padding_y', '20'), ENT_COMPAT, 'UTF-8');
$j51_overlay_color    = htmlspecialchars($params->get('j51_overlay_color', ''), ENT_COMPAT, 'UTF-8');
$j51_title_color      = htmlspecialchars($params->get('j51_title_color', '#ffffff'), ENT_COMPAT, 'UTF-8');
$j51_text_color       = htmlspecialchars($params->get('j51_text_color', '#ffffff'), ENT_COMPAT, 'UTF-8');
$j51_text_align       = htmlspecialchars($params->get('j51_text_align', 'center'), ENT_COMPAT, 'UTF-8');
$j51_text_vert_align  = htmlspecialchars($params->get('j51_text_vert_align', 'center'), ENT_COMPAT, 'UTF-8');
$j51_title            = htmlspecialchars($params->get('j51_title'), ENT_COMPAT, 'UTF-8');
$j51_image            = htmlspecialchars($params->get('j51_image'), ENT_COMPAT, 'UTF-8');
$j51_image_alt        = htmlspecialchars($params->get('j51_image_alt'), ENT_COMPAT, 'UTF-8');
$j51_target_url       = htmlspecialchars($params->get('j51_target_url'), ENT_COMPAT, 'UTF-8');
$j51_target           = htmlspecialchars($params->get('j51_target'), ENT_COMPAT, 'UTF-8');
$j51_layout_type      = htmlspecialchars($params->get('j51_layout_type'), ENT_COMPAT, 'UTF-8');
$j51_moduleid         = $module->id;

require JModuleHelper::getLayoutPath('mod_j51imagehover', $params->get('layout', 'default'));
