<?php
defined( '_JEXEC' ) or die( 'Restricted index access' );

// Modernizr
$document->addScript('templates/'.$this->template.'/js/modernizr.custom.js');
 
// Mobile Menu
if($mobile_menu_type == "slicknav") {
    if($this->params->get('hornavPosition') == 'slicknav') { 
        if ($this->countModules( 'hornav' )) :
            $document->addScript('templates/'.$this->template.'/js/jquery.slicknav.min.js', true, false);
            $document->addScriptDeclaration('
                jQuery(\'.hornav\').slicknav();
            ');
        endif; 
    } else {
        $document->addScript('templates/'.$this->template.'/js/jquery.slicknav.min.js', true, false);
        $document->addScriptDeclaration('
            jQuery(document).ready(function() {
                jQuery(\'.hornav\').slicknav();
            });
        ');
    } 
} elseif($mobile_menu_type == "slideout") {
    $document->addScript('templates/'.$this->template.'/js/slideout.min.js', true, false);
    $document->addScriptDeclaration('
        jQuery(window).load(function() {

            var slideout = new Slideout({
                \'panel\': document.getElementById(\'body_panel\'),
                \'menu\': document.getElementById(\'slideout\'),
                \'padding\': -256,
                \'tolerance\': 70,

            });

            document.querySelector(\'.slideout-toggle-open\').addEventListener(\'click\', function() {
                slideout.open();
            });
            document.querySelector(\'.slideout-toggle-close\').addEventListener(\'click\', function() {
                slideout.close();
            });

            // jQuery
            jQuery(\'.menu li:not(.parent) a\').on(\'click\', function() {
                slideout.close();
            });

            jQuery(\'.slideout-menu li.parent > a\').on(\'click\', function(){
                jQuery(this).removeAttr(\'href\');
                var element = jQuery(this).parent(\'li\');
                if (element.hasClass(\'open\')) {
                    element.removeClass(\'open\');
                    element.find(\'li\').removeClass(\'open\');
                    element.find(\'ul\').slideUp();
                }
                else {
                    element.addClass(\'open\');
                    element.children(\'ul\').slideDown();
                    element.siblings(\'li\').children(\'ul\').slideUp();
                    element.siblings(\'li\').removeClass(\'open\');
                    element.siblings(\'li\').find(\'li\').removeClass(\'open\');
                    element.siblings(\'li\').find(\'ul\').slideUp();
                }
            });
        });
    ');
}

if($this->params->get('animatecss_sw'))  {
    // Animate on Scroll
    JHtml::_('script', 'j51_assets/noframework.waypoints.min.js', array('relative' => true, 'version' => 'auto'));
}


if($this->params->get('sticky_sw'))  {
    // Sticky Div
    $document->addScript('templates/'.$this->template.'/js/jquery.sticky.min.js', false, true);
    $document->addScriptDeclaration('
        jQuery(window).load(function(){
            jQuery(".header_nav").sticky({ 
                topSpacing: -35
            });
        });
    ');
}


if($sidecol_responsive_pos == 'after') {
    // Responsive stacking order
    $document->addStyleDeclaration('
    @media only screen and (max-width: 767px) {
        .sidecol_a, .sidecol_b {
            order: 1;
        }
    }
    ');
}


if (!$this->params->get('top1_bg') || !$this->params->get('top2_bg') || !$this->params->get('top3_bg') || !$this->params->get('bottom1_bg') || !$this->params->get('bottom2_bg') || !$this->params->get('bottom3_bg')) {
    // Paralax Background
    $document->addScript('templates/' . $this->template . '/js/jarallax.min.js', false, false);
    $document->addScriptDeclaration("
        jarallax(document.querySelectorAll('.jarallax'));
    ");
}

// Load scripts.js
$document->addScriptOptions('j51_template', array(
    'scrolltoOffset' => $this->params->get('scrollto_offset', -55)
));
$document->addScript('templates/'.$this->template.'/js/scripts.js', false, true);
